{
  "type": "palladium:compound",
  "layers": [
    {
      "type": "geckolib:default",
            "model": {
        "base": "afomni:geo/necrofriggian_#UNIFORM.geo.json",
        "variables": {
          "UNIFORM": {
            "type": "palladium:string_property",
            "property": "uniform"
          }
        }
      },
      "animation_file": "afomni:animations/bigchill.animation.json",
      "animation_controller": [
        {
          "name": "cloak_on",
          "transition_tick_time": 0,
          "animation": "animation.BigChill.cloak_on"
        }
      ],
      "texture": {
        "base": "afomni:textures/models/necrofriggian/necrofriggian_#X_#UNIFORM.png",
        "transformers": [],
        "variables": {
          "UNIFORM": {
            "type": "palladium:string_property",
            "property": "uniform"
          },
          "X": {
            "type": "palladium:objective_score",
            "objective": "afomni.CloakToggle"
          }
        },
        "output": "afomni:textures/models/necrocloak_#X.png"}
    
      },
          {
      "type": "geckolib:default",
      "model": {
        "base": "afomni:geo/necrofriggian_#UNIFORM.geo.json",
        "variables": {
          "UNIFORM": {
            "type": "palladium:string_property",
            "property": "uniform"
          }
        }
      },
            "texture": {
        "base": "afomni:textures/models/necrofriggian/necrofriggian_glow_#UNIFORM.png",
                "transformers": [
          {
            "type": "palladium:color",
            "color": "##GLOW_PROTO_1",
            "filter": "#fff5c4",
            "ignore_blank": true
          },
                    {
            "type": "palladium:color",
            "color": "##GLOW_PROTO_1",
            "filter": "#fff79e",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##GLOW_PROTO_2",
            "filter": "#ffe563",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##GLOW_10K_1",
            "filter": "#ff0000",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##GLOW_10K_2",
            "filter": "#c80808",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##GLOW_DEFAULT_1",
            "filter": "#b3ff40",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##GLOW_DEFAULT_2",
            "filter": "#8ed721",
            "ignore_blank": true
          }
        ],
        "variables": {
          "UNIFORM": {
            "type": "palladium:string_property",
            "property": "uniform"
          },
                    "GLOW_PROTO_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_glowcolor_1_color_1"
          },
          "GLOW_PROTO_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_prototype_glowcolor_1_color_2"
          },
          "GLOW_10K_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_glowcolor_1_color_1"
          },
          "GLOW_10K_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_10k_glowcolor_1_color_2"
          },
          "GLOW_DEFAULT_1": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_glowcolor_1_color_1"
          },
          "GLOW_DEFAULT_2": {
            "type": "palladium:string_property",
            "property": "arburian_pelarota_default_glowcolor_1_color_2"
          }
        }
      },
      "render_type": "glow"
    },
 {
      "type": "geckolib:default",
      "model": {
        "base": "afomni:geo/necrofriggian_badge_#BADGE.geo.json",
        "variables": {
          "BADGE": {
            "type": "palladium:string_property",
            "property": "badge"
          }
        }
      },
      "texture": {
        "base": "alienevo:textures/models/badge/badge_#BADGE.png",
        "transformers": [
          {
            "type": "palladium:overlay",
            "overlay": "alienevo:textures/models/badge/#BADGE/core_side/core_side_#Z.png"
          },
          {
            "type": "palladium:overlay",
            "overlay": "alienevo:textures/models/badge/#BADGE/core_top/core_top_#Y.png"
          },
          {
            "type": "palladium:overlay",
            "overlay": "alienevo:textures/models/badge/#BADGE/dial_inner/dial_inner_#X.png"
          },
          {
            "type": "palladium:overlay",
            "overlay": "alienevo:textures/models/badge/#BADGE/dial_outer/dial_outer_#W.png"
          }
        ],
        "variables": {
          "BADGE": {
            "type": "palladium:string_property",
            "property": "badge"
          },
          "Z": {
            "type": "palladium:objective_score",
            "objective": "AlienEvo.CoreSide"
          },
          "Y": {
            "type": "palladium:objective_score",
            "objective": "AlienEvo.CoreTop"
          },
          "X": {
            "type": "palladium:objective_score",
            "objective": "AlienEvo.DialInner"
          },
          "W": {
            "type": "palladium:objective_score",
            "objective": "AlienEvo.DialOuter"
          }
        }
      }
    },
    {
      "type": "geckolib:default",
      "render_type": "glow",
      "model": {
        "base": "afomni:geo/necrofriggian_badge_#BADGE.geo.json",
        "variables": {
          "BADGE": {
            "type": "palladium:string_property",
            "property": "badge"
          }
        }
      },
      "texture": {
        "base": "alienevo:textures/models/badge/badge_glow_#WATCHSTATE_#BADGE.png",
        "transformers": [
          {
            "type": "palladium:color",
            "color": "##GLOW_1",
            "filter": "#ffffff",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##GLOW_2",
            "filter": "#eaeaea",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##GLOW_3",
            "filter": "#cfcfdd",
            "ignore_blank": true
          }
        ],
        "variables": {
          "WATCHSTATE": {
            "type": "palladium:string_property",
            "property": "watch_state"
          },
          "BADGE": {
            "type": "palladium:string_property",
            "property": "badge"
          },
          "GLOW_1": {
            "type": "palladium:string_property",
            "property": "uniform_glow_color_1"
          },
          "GLOW_2": {
            "type": "palladium:string_property",
            "property": "uniform_glow_color_2"
          },
          "GLOW_3": {
            "type": "palladium:string_property",
            "property": "uniform_glow_color_3"
          }
        }
      }
    }
  ]
}



      
